<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- This template must be included using a s:decorate element in a <ui:define name="body"> element -->
    <!-- parameters: managedBean used to upload file -->
    <s:div id="uploadFile" rendered="#{managedBean.uploadedFileContent == null}">
        <h:outputText id="fileUploadInfo"
                      value="#{messages['gazelle.evs.client.cda.validator.file.upload']}"/>
        <a4j:region>
            <rich:fileUpload id="uploadMessage"
                             fileUploadListener="#{managedBean.uploadListener}"
                             maxFilesQuantity="1"
                             listHeight="60px"
                             immediateUpload="true"
                             acceptedTypes="#{managedBean.getAcceptedFileTypesAsString()}"
                             ontyperejected="ontyperejected()">
                <a4j:ajax event="uploadcomplete" render="globalForm"/>
            </rich:fileUpload>
            <a4j:jsFunction name="ontyperejected"
                            actionListener="#{managedBean.displayInvalidFileTypeMessage()}"/>
        </a4j:region>
    </s:div>

    <s:div id="uploadedMessage" rendered="#{managedBean.uploadedFileContent != null}">
        <ui:decorate template="/layout/panels/_panel_id.xhtml">
            <ui:param name="panel_id" value="fileNameInfo"/>
            <s:decorate id="fileNameInfoDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.evs.CurrentFile']}</ui:define>
                <h:outputText value="#{managedBean.getUploadedFileName()}"/>
            </s:decorate>

            <s:decorate template="/layout/form/_checkbox.xhtml" style="float: left; margin-right: 2em;">
                <ui:param name="id" value="cb"/>
                <ui:param name="styleClass" value="floating"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.EVSClient-ui.ShowContent']}
                </ui:define>
                <h:selectBooleanCheckbox id="cb" value="#{managedBean.showMessageInGui}">
                    <a4j:ajax event="change" render="viewMessage"/>
                </h:selectBooleanCheckbox>
            </s:decorate>
            <s:div id="viewMessage">
                <s:div id="displayViewMessage" rendered="#{managedBean.showMessageInGui}">
                    <ui:decorate template="/common/_documentRenderersTabs.xhtml">
                        <ui:param name="document" value="#{managedBean.presenter.document}"/>
                        <ui:param name="renderers" value="#{managedBean.presenter.renderers}"/>
                        <ui:param name="activeItem" value="#{managedBean.presenter.activeRenderer}"/>
                        <ui:param name="options" value="caption: #{messages['net.ihe.gazelle.document.prettified-content']}"/>
                        <ui:param name="documentViewerStyle" value="document-short-viewer"/>
                        <ui:define name="custom-tail-tabs">
                            <ui:include src="/common/_analysisTailTab.xhtml">
                                <ui:param name="managedBean" value="#{managedBean}"/>
                            </ui:include>
<!--                            <rich:tab id="analysisTab" name="analysisTab" header="#{messages['net.ihe.gazelle.mca.MessageContentAnalyzer']}" rendered="#{managedBean.showMessageAnalyzerInGui}">-->
<!--                                <s:div id="analyze" rendered="#{analysisBeanGui.analysis == null}">-->
<!--                                    <a4j:commandButton id="forwardToAnalysis"-->
<!--                                                       actionListener="#{analysisBeanGui.execute(managedBean.presenter.document,managedBean.getUploadedFileName(),null)}"-->
<!--                                                       value="#{messages['net.ihe.gazelle.mca.Analyze']}"-->
<!--                                                       render="analysisTab"-->
<!--                                                       styleClass="gzl-btn-blue"/>-->
<!--                                </s:div>-->
<!--                                <s:div id="analysis" rendered="#{analysisBeanGui.analysis != null}" styleClass="document-long-viewer">-->
<!--                                    <dl class="dl-horizontal">-->
<!--                                        <s:decorate template="/layout/display/_data_list_item.xhtml">-->
<!--                                            <ui:param name="id" value="nameInput"/>-->
<!--                                            <ui:define name="label">#{messages['net.ihe.gazelle.mca.Permanent.Link']} :</ui:define>-->
<!--                                            <h:outputLink-->
<!--                                                    value="#{analysisBeanGui.getPermanentLink(analysisBeanGui.analysis)}"-->
<!--                                                    target="_blank">-->
<!--                                                <h:outputText-->
<!--                                                        value="#{analysisBeanGui.getPermanentLink(analysisBeanGui.analysis)}"/>-->
<!--                                            </h:outputLink>-->
<!--                                        </s:decorate>-->
<!--                                    </dl>-->
<!--                                    <ui:include src="/common/_messageContentAnalyzerResultDiv.xhtml"/>-->
<!--                                </s:div>-->
<!--                            </rich:tab>-->
                        </ui:define>
                    </ui:decorate>
                </s:div>
            </s:div>
        </ui:decorate>
    </s:div>
</ui:composition>
